#!/bin/bash
# Runs salt bootstrap commands to add a minion to salt-master


# Download bootstrap script from salt
curl -o /tmp/bootstrap-salt.sh -L https://bootstrap.saltproject.io

# Run bootstrap script
if [ -e /tmp/bootstrap-salt.sh ]; then bash /tmp/bootstrap-salt.sh; fi

# Point minion to master
echo "master: salt-master.io" | tee /etc/salt/minion.d/override.conf

# Restart minion service
systemctl restart salt-minion

# Touch firstRun file
touch /tmp/.firstRun
